Cardinality cannot be changed in layer properties --> Fields tab --> Relations

2017-09-14 02:55 PM - Andreas Neumann

Status: Closed

Priority: High

Assignee: Matthias Kuhn

Category: Relations

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25042

Description

It is not possible to change the cardinality tab in the "Relations" section of the "Fields" tab of the "layer properties" in QGIS 3. See also

screenshot attached.

One can change it, but it is not stored. Next time the tab is loaded, it is back to the old values.

This used to work properly in QGIS 2.x

Associated revisions

Revision a0819053 - 2017-09-15 12:03 PM - Matthias Kuhn 

Fix N:M Relations

Fix #17143 (https://issues.qgis.org/issues/17143)

History

#1 - 2017-09-14 02:58 PM - Giovanni Manghi

- Regression? changed from No to Yes

#2 - 2017-09-15 12:03 PM - Anonymous

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|a0819053fdf0796d3ebad830cdddd82071e351a5.

#3 - 2017-09-15 01:59 PM - Andreas Neumann

- Status changed from Closed to Reopened

Just tested. Works fine within the lifetime of a project.

But unfortunately does not survive a project save and reload. After that, the new settings are gone.

#4 - 2017-09-26 02:27 PM - Matthias Kuhn

- Status changed from Reopened to Feedback
@Andreas Neumann, I think this should be solved, correct?

#5 - 2017-10-02 04:08 PM - Andreas Neumann

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Yes - works fine now. Closing.

Thanks!
